Subject: Re: [PATCH 30/32] aio: add delayed cancel support

From: Christoph Hellwig <[email-masked]>
Date: Mon, 15 Jan 2018 09:54:16 +0100

On Thu, Jan 11, 2018 at 10:27:05AM -0500, Jeff Moyer wrote:
> Duh, good point.  My main concern is that things like usb gadget will
> have to deal with races between cancellation and completion on their
> own.  It would be nice if we had infrastructure for them to use.  I'll
> have a look through that code to see if there's something we could or
> should be doing.

The current cancel interface is a bit of a mess, as it assumes the
kiocb is embedded into an aio_kiocb.  I think it would need a major
rework in general, but I'll need to fix a couple other aio issues
first.